Update scenario

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
PUT /project/{projectId}/scenario/{scenarioId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
application/json

Body Required

  • scheduleIds array[integer(int64)]
  • ruleIds array[integer(int64)]
  • autoUpdate boolean
  • requester string
  • requesterCompanyName string
  • name string
  • description string
  • aiTenantId string

Responses

  • 200

    OK

PUT /project/{projectId}/scenario/{scenarioId}
curl \
 --request PUT 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "scheduleIds": [
    42
  ],
  "ruleIds": [
    42
  ],
  "autoUpdate": true,
  "requester": "string",
  "requesterCompanyName": "string",
  "name": "string",
  "description": "string",
  "aiTenantId": "string"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "scheduleIds": [
    42
  ],
  "ruleIds": [
    42
  ],
  "autoUpdate": true,
  "requester": "string",
  "requesterCompanyName": "string",
  "name": "string",
  "description": "string",
  "aiTenantId": "string"
}